[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBandPaintOption

Represents the paint options enabled when drawing a TControlBar.

## Declaration

Source position: extctrls.pp line 1501

`type TBandPaintOption = (`
`bpoGrabber,` |  | Band is drawn with a grabber or gripper.
`bpoFrame,` |  | Band is drawn with a frame around the outer edges.
`bpoGradient,` |  | Band is drawn using a gradient in the background color.
`bpoRoundRect` |  | Not used internally, but available to the OnBandPaint event in TControlBar.
`);`

## Description

TBandPaintOption is an enumerated type with values that represent the paint options enabled when drawing a TControlBar instance. Values from TBandPaintOption are stored in the TBandPaintOptions type, and passed as an argument to a TBandPaintEvent event handler.